/*
 * cpuwalk.d - Measure which CPUs a process runs on.
 *             Written using DTrace (Solaris 10 3/05)
 *
 * This program is for multi-CPU servers, and can help identify if a process
 * is running on multiple CPUs concurrently or not.
 *
 * $Id: cpuwalk.d 3 2007-08-01 10:50:08Z brendan $
 *
 * FIELDS:
 *		value		CPU id
 *		count		Number of 1000 hz samples on this CPU
 *
 * COPYRIGHT: Copyright (c) 2005 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 22-Sep-2005  Brendan Gregg   Created this.
 * 14-Feb-2006	   "      "	Last update.
 * 29-Oct-2008  Tom Erickson (adapted to Chime)
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

inline int MAXCPUID = 1024;

profile:::profile-1000hz
/pid != 0/
{
	@sample[execname, pid] = lquantize(cpu, 0, MAXCPUID, 1);
}
